Package fr.gouv.vitam.batch.report.model.entry

# Class PreservationReportEntry

java.lang.Object
fr.gouv.vitam.batch.report.model.entry.ReportEntry
fr.gouv.vitam.batch.report.model.entry.PreservationReportEntry

public class PreservationReportEntry extends ReportEntry

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION`
  `static final String`
  `ANALYSE_RESULT`
  `static final String`
  `CREATION_DATE_TIME`
  `static final String`
  `GRIFFIN_ID`
  `static final String`
  `INPUT_OBJECT_ID`
  `static final String`
  `OBJECT_GROUP_ID`
  `static final String`
  `OUTPUT_OBJECT_ID`
  `static final String`
  `PROCESS_ID`
  `static final String`
  `SCENARIO_ID`
  `static final String`
  `STATUS`
  `static final String`
  `TENANT`
  `static final String`
  `UNIT_ID`

  ### Fields inherited from class fr.gouv.vitam.batch.report.model.entry.ReportEntry

  `DETAIL_ID, DETAIL_TYPE, OUTCOME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservationReportEntry(String detailId, String processId, int tenant, String creationDateTime, PreservationStatus status, String unitId, String objectGroupId, ActionTypePreservation action, String analyseResult, String inputObjectId, String outputObjectId, String outcome, String griffinId, String preservationScenarioId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionTypePreservation`
  `getAction()`
  `String`
  `getAnalyseResult()`
  `String`
  `getCreationDateTime()`
  `String`
  `getGriffinId()`
  `String`
  `getInputObjectId()`
  `String`
  `getObjectGroupId()`
  `String`
  `getOutputObjectId()`
  `String`
  `getPreservationScenarioId()`
  `String`
  `getProcessId()`
  `PreservationStatus`
  `getStatus()`
  `int`
  `getTenant()`
  `String`
  `getUnitId()`

  ### Methods inherited from class fr.gouv.vitam.batch.report.model.entry.ReportEntry

  `getDetailId, getDetailType, getOutcome`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNIT_ID

    public static final String UNIT_ID
    See Also:
      - Constant Field Values

  - ### OBJECT_GROUP_ID

    public static final String OBJECT_GROUP_ID
    See Also:
      - Constant Field Values

  - ### PROCESS_ID

    public static final String PROCESS_ID
    See Also:
      - Constant Field Values

  - ### TENANT

    public static final String TENANT
    See Also:
      - Constant Field Values

  - ### CREATION_DATE_TIME

    public static final String CREATION_DATE_TIME
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

  - ### ACTION

    public static final String ACTION
    See Also:
      - Constant Field Values

  - ### GRIFFIN_ID

    public static final String GRIFFIN_ID
    See Also:
      - Constant Field Values

  - ### SCENARIO_ID

    public static final String SCENARIO_ID
    See Also:
      - Constant Field Values

  - ### ANALYSE_RESULT

    public static final String ANALYSE_RESULT
    See Also:
      - Constant Field Values

  - ### INPUT_OBJECT_ID

    public static final String INPUT_OBJECT_ID
    See Also:
      - Constant Field Values

  - ### OUTPUT_OBJECT_ID

    public static final String OUTPUT_OBJECT_ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PreservationReportEntry

    public PreservationReportEntry(String detailId, String processId, int tenant, String creationDateTime, PreservationStatus status, String unitId, String objectGroupId, ActionTypePreservation action, String analyseResult, String inputObjectId, String outputObjectId, String outcome, String griffinId, String preservationScenarioId)

- ## Method Details

  - ### getProcessId

    public String getProcessId()

  - ### getTenant

    public int getTenant()

  - ### getCreationDateTime

    public String getCreationDateTime()

  - ### getStatus

    public PreservationStatus getStatus()

  - ### getUnitId

    public String getUnitId()

  - ### getObjectGroupId

    public String getObjectGroupId()

  - ### getAction

    public ActionTypePreservation getAction()

  - ### getAnalyseResult

    public String getAnalyseResult()

  - ### getInputObjectId

    public String getInputObjectId()

  - ### getOutputObjectId

    public String getOutputObjectId()

  - ### getGriffinId

    public String getGriffinId()

  - ### getPreservationScenarioId

    public String getPreservationScenarioId()